Subject: [BK PATCH] USB changes for 2.5.25
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Pull from:  http://linuxusb.bkbits.net/linus-2.5

 drivers/usb/host/uhci-debug.h     |  577 -------
 drivers/usb/host/uhci.c           | 3132 --------------------------------------
 drivers/usb/host/uhci.h           |  441 -----
 drivers/usb/host/usb-uhci-dbg.c   |  151 -
 drivers/usb/host/usb-uhci-debug.h |  141 -
 drivers/usb/host/usb-uhci-hcd.c   |  649 -------
 drivers/usb/host/usb-uhci-hcd.h   |  247 --
 drivers/usb/host/usb-uhci-hub.c   |  213 --
 drivers/usb/host/usb-uhci-mem.c   |  717 --------
 drivers/usb/host/usb-uhci-q.c     | 1227 --------------
 drivers/usb/host/usb-uhci.c       | 3095 -------------------------------------
 drivers/usb/host/usb-uhci.h       |  307 ---
 Documentation/usb/URB.txt         |  221 +-
 Documentation/usb/error-codes.txt |    9 
 drivers/bluetooth/hci_usb.c       |    3 
 drivers/net/irda/irda-usb.c       |    5 
 drivers/usb/class/bluetty.c       |    1 
 drivers/usb/class/cdc-acm.c       |    2 
 drivers/usb/core/devio.c          |    2 
 drivers/usb/core/hub.c            |   24 
 drivers/usb/core/inode.c          |   17 
 drivers/usb/core/message.c        |    2 
 drivers/usb/core/urb.c            |   36 
 drivers/usb/core/usb.c            |  203 ++
 drivers/usb/host/Makefile         |    3 
 drivers/usb/host/ehci-q.c         |    6 
 drivers/usb/host/ohci-q.c         |   10 
 drivers/usb/host/uhci-hcd.c       |   25 
 drivers/usb/media/se401.c         |    1 
 drivers/usb/media/stv680.c        |    1 
 drivers/usb/misc/emi26.c          |   28 
 drivers/usb/misc/tiglusb.c        |   30 
 drivers/usb/net/usbnet.c          |    6 
 drivers/usb/serial/empeg.c        |    6 
 drivers/usb/serial/io_edgeport.c  |    6 
 drivers/usb/serial/ir-usb.c       |   11 
 drivers/usb/serial/kl5kusb105.c   |    3 
 drivers/usb/serial/visor.c        |    1 
 drivers/usb/storage/scsiglue.c    |   82 
 drivers/usb/storage/transport.c   |  138 -
 drivers/usb/storage/usb.c         |  109 -
 drivers/usb/storage/usb.h         |   30 
 include/linux/usb.h               |   34 
 include/linux/usbdevice_fs.h      |    3 
 44 files changed, 612 insertions(+), 11343 deletions(-)
------

[email-masked], 2002-07-07 11:26:07-07:00, [email-masked]
  fix i_nlink for root inode in usbfs

 drivers/usb/core/inode.c |    3 +++
 1 files changed, 3 insertions(+)
------

[email-masked], 2002-07-07 10:46:08-07:00, [email-masked]
  USB: removed the usb-uhci-hcd.o driver

 drivers/usb/host/usb-uhci-dbg.c |  151 ----
 drivers/usb/host/usb-uhci-hcd.c |  649 ---------------------
 drivers/usb/host/usb-uhci-hcd.h |  247 --------
 drivers/usb/host/usb-uhci-hub.c |  213 ------
 drivers/usb/host/usb-uhci-mem.c |  717 -----------------------
 drivers/usb/host/usb-uhci-q.c   | 1227 ----------------------------------------
 drivers/usb/host/Makefile       |    1 
 7 files changed, 3205 deletions(-)
------

[email-masked], 2002-07-07 10:40:00-07:00, [email-masked]
  USB: removed the usb-uhci.o driver

 drivers/usb/host/uhci.h           |  441 -----
 drivers/usb/host/usb-uhci-debug.h |  141 -
 drivers/usb/host/usb-uhci.c       | 3095 --------------------------------------
 drivers/usb/host/usb-uhci.h       |  307 ---
 drivers/usb/host/Makefile         |    1 
 5 files changed, 3985 deletions(-)
------

[email-masked], 2002-07-07 10:35:28-07:00, [email-masked]
  USB: removed the uhci.c driver from the tree

 drivers/usb/host/uhci-debug.h |  577 -------
 drivers/usb/host/uhci.c       | 3132 ------------------------------------------
 drivers/usb/host/Makefile     |    1 
 3 files changed, 3710 deletions(-)
------

[email-masked], 2002-07-07 10:28:49-07:00, [email-masked]
  [PATCH] PATCH: usb-storage: consolidate, cleanup, etc.
  
  This patch fixes some spelling errors and adds some BUG_ON() calls so we
  can make sure that all this new code is working properly.

 drivers/usb/storage/scsiglue.c  |    7 +++++--
 drivers/usb/storage/transport.c |    1 +
 drivers/usb/storage/usb.c       |    2 +-
 drivers/usb/storage/usb.h       |    7 +++----
 4 files changed, 10 insertions(+), 7 deletions(-)
------

[email-masked], 2002-07-07 10:28:32-07:00, [email-masked]
  [PATCH] PATCH: usb-storage: consolidate, cleanup, etc.
  
  This patch changes how the exit code works to be cleaner, fixes the OOPS on
  rmmod, consolidates some anti-race code from several places to just one,
  and also eliminates some theoretical race conditions.

 drivers/usb/storage/scsiglue.c  |   67 ++++++++++------------
 drivers/usb/storage/transport.c |  121 ++++++++++++++++++----------------------
 drivers/usb/storage/usb.c       |   94 +++++++++++++++++--------------
 drivers/usb/storage/usb.h       |    9 --
 4 files changed, 144 insertions(+), 147 deletions(-)
------

[email-masked], 2002-07-07 10:28:09-07:00, [email-masked]
  [PATCH] PATCH: usb-storage: merge bitfields into a unified system
  
  This patch unifies all the bit tests and various flags into a single,
  unified system.
  
  Matt

 drivers/usb/storage/scsiglue.c  |    8 ++++----
 drivers/usb/storage/transport.c |   16 ++++++++--------
 drivers/usb/storage/usb.c       |   13 ++++++-------
 drivers/usb/storage/usb.h       |   14 +++++++-------
 4 files changed, 25 insertions(+), 26 deletions(-)
------

[email-masked], 2002-07-07 10:17:10-07:00, [email-masked]
  [PATCH] USB: printk janitorial fixes
  
  Part 2, printk fixups for a the tiglusb and emi26 drivers.

 drivers/usb/misc/emi26.c   |   28 ++++++++++++++--------------
 drivers/usb/misc/tiglusb.c |   30 +++++++++++++++---------------
 2 files changed, 29 insertions(+), 29 deletions(-)
------

[email-masked], 2002-07-06 22:22:57-07:00, [email-masked]
  [PATCH] USB: printk janitorial fixes
  
  This is the first of a few janitorial fixes for printk() usage in the USB
  tree.

 drivers/usb/class/cdc-acm.c |    2 +-
 drivers/usb/core/inode.c    |   14 +++++++-------
 drivers/usb/core/message.c  |    2 +-
 3 files changed, 9 insertions(+), 9 deletions(-)
------

[email-masked], 2002-07-05 23:29:16-07:00, [email-masked]
  USB: added product, manufacturer, and serial driverfs files for a device

 drivers/usb/core/usb.c |   70 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 70 insertions(+)
------

[email-masked], 2002-07-05 23:27:11-07:00, [email-masked]
  [PATCH] usb driverfs, +misc
  
  This fixes a couple issues I noted when I finally spent some time
  looking at the first version of driverfs support for usb:
  
  - "name" fields (really descriptions) aren't very useful.
  
       * for devices, they always said "USB device 0000:0000"
           --> Now they'll only say that when there's
               nothing better to be said ...
           --> ... and it's really device 0000:0000!  It was
               using device descriptor fields before they were
               fetched from the device.
           --> Uses product and/or manufacturer strings, which
               most devices have, much like PCI uses the PCI ID
               database (when it's compiled in)
  
       * for interfaces, it was "figure out some name..."
           --> Now it combines the strings used in the
               usb_make_path() call with interface number
           --> Or in the remote chance a device provides
               an interface string, that's preferred.
           --> In general, I think the driver for each
               interface is best suited to describe it;
               I modified the hub driver to do so.
  
  - "bus_id" field
  
       * For hub ports, it was wasting code: we know the port
         already, no need to search for it.  Plus, it used
         0-index ids not the 1-index ones matching physical
         labels on hubs, and other user-visible diagnostics.
  
       * For interfaces, it mixed the device address with the
         interface number ... producing unstable IDs that were
         moreover rather cryptic.  Changed:  "if0" now, using
         the interface ID (not index).
  
       * For busses, left "usb_bus" alone ... :)
  
  - Adds two files exposing current configuration (for devices)
     and altsetting (for interfaces).
  
  - I was getting a useless diagnostic from the hub driver,
     now it's less useless (it fully identifies the hub)

 drivers/usb/core/hub.c |   24 +++-----
 drivers/usb/core/usb.c |  133 +++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 133 insertions(+), 24 deletions(-)
------